%define upstream_name    WWW-Shorten
%define upstream_version 3.093

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl interface to makeashorterlink.com
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 2.400.0
BuildRequires: perl(LWP::UserAgent) >= 5.835.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny) >= 0.240.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The function 'makeashorterlink' will call the relevant web site passing it
your long URL and will return the shorter version.

The function 'makealongerlink' does the reverse. 'makealongerlink' will
accept as an argument either the full shortened URL or just the identifier.

If anything goes wrong, then either function will return 'undef'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Disable this test, is relies on tinyurl.com server and often fails
rm -f t/tinyurl.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/shorten
%{_mandir}/man1/shorten.1*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 3.93.0-4.mga8
+ Revision: 1498291
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 3.93.0-3.mga7
+ Revision: 1272732
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.93.0-2.mga6
+ Revision: 1035870
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.93.0-1.mga6
+ Revision: 1002333
- update to 3.093

* Sat Jan 16 2016 shlomif <shlomif> 3.80.0-1.mga6
+ Revision: 924079
- update to 3.08

* Sun Dec 14 2014 sander85 <sander85> 3.60.0-1.mga5
+ Revision: 803126
- update to 3.06
+ umeabot <umeabot>
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 3.50.0-1.mga5
+ Revision: 623867
- update to 3.05

* Sat Jan 04 2014 pterjan <pterjan> 3.40.0-3.mga4
+ Revision: 564544
- Disable tinyurl test, it relies on their server and often fails
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 3.40.0-1.mga4
+ Revision: 485739
- update to 3.04
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 3.30.0-1.mga3
+ Revision: 255574
- update to 3.03

* Sun Jan 23 2011 jquelin <jquelin> 3.20.0-1.mga1
+ Revision: 34449
- mageia rebuild
- imported package perl-WWW-Shorten

